pango-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque A can be used to iterate over the visual extents of a .
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  2.12.0.0
  System.Boolean Determines whether iter is on the last line of the layout. an object of type
- Property
  2.12.0.0
  System.Int32 Gets the y position of the current line's baseline, in layout coordinates (origin at top left of the entire layout). baseline of current line
- Property
  2.12.0.0
  Pango.Rectangle To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Method
  2.12.0.0
  System.Obsolete("Pango.LayoutIter is now freed automatically")
  System.Void Frees an iterator that is no longer in use.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` Gets the extents of the current character, in layout coordinates (origin is the top left of the entire layout). rectangle to fill with logical extents Only logical extents can sensibly be obtained for characters; ink extents make sense only down to the level of clusters.
- Method
  System.Void `` `` Gets the extents of the current cluster, in layout coordinates (origin is the top left of the entire layout). rectangle to fill with ink extents rectangle to fill with logical extents
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` Obtains the extents of the being iterated over. rectangle to fill with ink extents rectangle to fill with logical extents or can be if you are not interested in them.
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void `` `` Obtains the extents of the current line. rectangle to fill with ink extents rectangle to fill with logical extents or can be if you are not interested in them. Extents are in layout coordinates (origin is the top-left corner of the entire ). Thus the extents returned by this function will be the same width/height but not at the same x/y as the extents returned from .
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Void `` `` a a Divides the vertical space in the being iterated over between the lines in the layout, and returns the space belonging to the current line. A line's range includes the line's logical extents, plus half of the spacing above and below the line if has been set. The y positions are in layout coordinates (origin at top left of the entire layout).
- Method
  System.Void `` `` Gets the extents of the current run in layout coordinates (origin is the top left of the entire layout). rectangle to fill with ink extents rectangle to fill with logical extents The coordinate system for each rectangle has its origin at the base line and horizontal origin of the character with increasing coordinates extending to the right and down. The units of the rectangles are in 1 / of a device unit.
- Method
  2.12.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  2.12.0.0
  GLib.GType To be added a To be added
- Property
  2.12.0.0
  System.Int32 Gets the current byte index. current byte index Note that iterating forward by char moves in visual order, not logical order, so indexes may not be sequential. Also, the index may be equal to the length of the text in the layout, if on the run (see ).
- Property
  2.12.0.0
  Pango.LayoutLine Gets the current line. the current
- Property
  2.12.0.0
  Pango.LayoutLine To be added. To be added. To be added.
- Method
  2.12.0.0
  System.Boolean Moves iter forward to the next character in visual order. an object of type If iter was already at the end of the layout, returns .
- Method
  2.12.0.0
  System.Boolean Moves iter forward to the next cluster in visual order. an object of type If iter was already at the end of the layout, returns .
- Method
  2.12.0.0
  System.Boolean Moves iter forward to the start of the next line. an object of type If iter is already on the last line, returns .
- Method
  2.12.0.0
  System.Boolean Moves iter forward to the next run in visual order. an object of type If iter was already at the end of the layout, returns .
- Property
  2.12.0.0
  Pango.LayoutRun Gets the current run. an object of type 'Pango.LayoutRun' When iterating by run, at the end of each line, there is a position with a run, so this function can return . The run at the end of each line ensures that all lines have at least one run, even lines consisting of only a newline.
- Property
  2.12.0.0
  Pango.LayoutRun To be added. To be added. To be added.